Skip to main content
Platform Operations/Platform Federation

GetGroupOverview

Get a per-cluster resource usage and health overview for a cluster group.

GET/api/v1/federation/cluster-groups/{groupId}/overview

Operation ID

GetGroupOverview

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • groupId
    StringRequired

    ID of the cluster group to get an overview for

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Per-cluster overview items within the group

    Example: (nested array)

    • clusterId
      String

      UUID of the cluster

      Example: cluster-abc-001

    • clusterName
      String

      Human-readable name of the cluster

      Example: prod-cluster-east

    • nodeCount
      Integer

      Total number of nodes in the cluster

      Example: 10

    • podCount
      Integer

      Total number of running pods in the cluster

      Example: 256

    • cpuUsagePct
      Long

      CPU usage as a percentage (0.0 to 100.0)

      Example: 72.5

    • memUsagePct
      Long

      Memory usage as a percentage (0.0 to 100.0)

      Example: 60

    • alertCount
      Integer

      Number of active alerts for this cluster

      Example: 2

    • lastSyncAt
      String

      Last sync at

      Example: 2026-01-15T08:00:00Z

    • status
      String

      Current operational status of the cluster

      Example: healthy